### Method

# GLib AsyncQueue unref_and_unlock

deprecated: 2.8

#### Declaration

    void
    g_async_queue_unref_and_unlock (
      GAsyncQueue* queue
    )

#### Description

Decreases the reference count of the asynchronous `queue` by 1 and releases the lock. This function must be called while holding the `queue`‘s lock. If the reference count went to 0, the `queue` will be destroyed and the memory allocated will be freed.

Deprecated since: 2.8

Reference counting is done atomically. so `g_async_queue_unref()` can be used regardless of the `queue`‘s lock.